Package org.sunflow.math

## Class OrthoNormalBasis

- java.lang.Object
- - org.sunflow.math.OrthoNormalBasis

-     public final class OrthoNormalBasis
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `flipU()` |
    `void` | `flipV()` |
    `void` | `flipW()` |
    `static OrthoNormalBasis` | `makeFromW​(Vector3 w)` |
    `static OrthoNormalBasis` | `makeFromWV​(Vector3 w, Vector3 v)` |
    `void` | `swapUV()` |
    `void` | `swapVW()` |
    `void` | `swapWU()` |
    `Vector3` | `transform​(Vector3 a)` |
    `Vector3` | `transform​(Vector3 a, Vector3 dest)` |
    `Vector3` | `untransform​(Vector3 a)` |
    `Vector3` | `untransform​(Vector3 a, Vector3 dest)` |
    `float` | `untransformX​(Vector3 a)` |
    `float` | `untransformY​(Vector3 a)` |
    `float` | `untransformZ​(Vector3 a)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### flipU

          public void flipU()

    - #### flipV

          public void flipV()

    - #### flipW

          public void flipW()

    - #### swapUV

          public void swapUV()

    - #### swapVW

          public void swapVW()

    - #### swapWU

          public void swapWU()

    - #### transform

          public Vector3 transform​(Vector3 a,
                                   Vector3 dest)

    - #### transform

          public Vector3 transform​(Vector3 a)

    - #### untransform

          public Vector3 untransform​(Vector3 a,
                                     Vector3 dest)

    - #### untransform

          public Vector3 untransform​(Vector3 a)

    - #### untransformX

          public float untransformX​(Vector3 a)

    - #### untransformY

          public float untransformY​(Vector3 a)

    - #### untransformZ

          public float untransformZ​(Vector3 a)

    - #### makeFromW

          public static final OrthoNormalBasis makeFromW​(Vector3 w)

    - #### makeFromWV

          public static final OrthoNormalBasis makeFromWV​(Vector3 w,
                                                          Vector3 v)